# PCOPENMP

Runs a preconditioner for a single process matrix across several MPI processes

        This will usually be run with -pc_type openmp -ksp_type preonly

        solver options are set with -openmp_ksp_... and -openmp_pc_... for example

        -openmp_ksp_type cg would use cg as the Krylov method or -openmp_ksp_monitor or

        -openmp_pc_type hypre -openmp_pc_hypre_type boomeramg

Always run with -ksp_view (or -snes_view) to see what solver is actually being used.

Currently the solver options INSIDE the OpenMP preconditioner can ONLY be set via the options database.

See PetscOpenMPMerge() and PetscOpenMPSpawn() for two ways to start up MPI for use with this preconditioner

### See Also

PCCreate(), PCSetType(), PCType (for list of available types)

Level:intermediate
Location: src/ksp/pc/impls/openmp/openmp.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages